aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rwxr-xr-xtools/send_mail.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/send_mail.sh b/tools/send_mail.sh
new file mode 100755
index 0000000..6ce3ad0
--- /dev/null
+++ b/tools/send_mail.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Send a email.
+# @meta require-tools mutt
+# @option --recipient The recipient of the email.
+# @option --subject The subject of the email.
+# @option --body The body of the email.
+
+main() {
+ mutt -s "$argc_subject" "$argc_recipient" <<<"$argc_body"
+}
+
+eval "$(argc --argc-eval "$0" "$@")"
+